curl --request POST \
--url 'https://api.stateset.com/api/v1/asns' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{}'
{
"data": {
"asn_number": "string",
"created_at": "2026-07-24T12:00:00Z",
"expected_delivery_date": null,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"shipping_address": "string",
"status": "string",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"supplier_name": "string",
"updated_at": "2026-07-24T12:00:00Z"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
Create a new ASN
Create a new ASN
POST
/
api
/
v1
/
asns
curl --request POST \
--url 'https://api.stateset.com/api/v1/asns' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{}'
{
"data": {
"asn_number": "string",
"created_at": "2026-07-24T12:00:00Z",
"expected_delivery_date": null,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"shipping_address": "string",
"status": "string",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"supplier_name": "string",
"updated_at": "2026-07-24T12:00:00Z"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
Request body
JSON body of typeCreateAsnRequest.
Responses
ApiResponse_AsnSummary
ASN created
ErrorResponse
Invalid request
curl --request POST \
--url 'https://api.stateset.com/api/v1/asns' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{}'
{
"data": {
"asn_number": "string",
"created_at": "2026-07-24T12:00:00Z",
"expected_delivery_date": null,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"shipping_address": "string",
"status": "string",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"supplier_name": "string",
"updated_at": "2026-07-24T12:00:00Z"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
โI